package rocks.zipcode.io.quiz4.collections;

import rocks.zipcode.io.quiz4.objectorientation.Student;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author leon on 11/12/2018.
 */
public class ZipCodeWilmington {

    private List<Student> container;

    public ZipCodeWilmington() {
        container = new ArrayList<>();
    }

    public void enroll(Student student) {
        container.add(student);
    }

    public Boolean isEnrolled(Student student) {
        return container.contains(student);
    }

    public void lecture(double numberOfHours) {
        for (Student s: container) {
            s.learn(numberOfHours/container.size());
        }
    }

    public Map<Student, Double> getStudyMap() {
        Map<Student, Double> result = new HashMap<>();
        for (Student s: container){
            result.put(s, s.getTotalStudyTime());
        }
        return result;
    }

}
